Get a Jail (Simple)
GET
/jail/simple/{ctid}
const url = 'https://sylve.lan:8181/api/jail/simple/1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/jail/simple/1 \ --header 'Authorization: <Authorization>'Retrieve the lightweight projection of a jail by its CTID
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ctid
required
integer
Jail CTID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
cores
integer
ctId
integer
id
integer
memory
integer
name
string
resourceLimits
boolean
state
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "cores": 1, "ctId": 1, "id": 1, "memory": 1, "name": "example", "resourceLimits": true, "state": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}